unit AutoTst;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin;

type
  TForm1 = class(TForm)
    SpinEdit1: TSpinEdit;
    procedure FormCreate(Sender: TObject);
    procedure FormClick(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
  private
    AutoGroovy: Variant;
  end;

var
  Form1: TForm1;

implementation

uses OleAuto;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  try
    AutoGroovy := CreateOleObject('Auto.Groovy');
  except
    MessageDlg(
      'An instance of the "Auto.Groovy" OLE Automation class ' +
      'could not be created. Make sure that the Auto application has ' +
      'been registered using a "Auto /regserver" command line.',
      mtError, [mbOk], 0);
    Application.ShowMainForm := False;
    Application.Terminate;
  end;
end;

procedure TForm1.FormClick(Sender: TObject);
begin
  SpinEdit1.Value := AutoGroovy.Value;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  if SpinEdit1.Text <> '' then
    AutoGroovy.Value := SpinEdit1.Value;
end;

end.
